org.apache.maven.scm.provider.bazaar.command.update

## Class BazaarUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.bazaar.command.update.BazaarUpdateCommand

- All Implemented Interfaces:
    Command

      public class BazaarUpdateCommand
      extends AbstractUpdateCommand
      implements Command

  Version:
    $Id: BazaarUpdateCommand.java 686198 2008-08-15 12:14:08Z vsiveton $
  Author:
    Torbjï¿½rn Eikli Smï¿½rgrav

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BazaarUpdateCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UpdateScmResult` | `executeUpdateCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version)`
    `protected ChangeLogCommand` | `getChangeLogCommand()`

    - ### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### BazaarUpdateCommand

          public BazaarUpdateCommand()

  - ### Method Detail

    - #### executeUpdateCommand

          protected UpdateScmResult executeUpdateCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             ScmVersion version)
                                                  throws ScmException

      Specified by:
        `executeUpdateCommand` in class `AbstractUpdateCommand`
      Throws:
        `ScmException`

    - #### getChangeLogCommand

          protected ChangeLogCommand getChangeLogCommand()

      Specified by:
        `getChangeLogCommand` in class `AbstractUpdateCommand`

Copyright © 2003–2015. All rights reserved.